head	1.3;
access;
symbols
	TIGRIS_1_1_0RC2:1.2.12.1
	TIGRIS_1_1_0RC1:1.2.12.1
	TIGRIS_1_1:1.2.12.1.0.2
	TIGRIS_1_0_8:1.2.12.1
	TIGRIS_1_0_8RC3:1.2.12.1
	TIGRIS_1_0_8RC2:1.2.12.1
	TIGRIS_1_0_8RC1:1.2.12.1
	TIGRIS_1_0_7:1.2.12.1
	TIGRIS_1_0_7RC3:1.2.12.1
	TIGRIS_1_0_7RC2:1.2.12.1
	TIGRIS_1_0_7RC1:1.2.12.1
	TIGRIS_1_0_6:1.2.12.1
	TIGRIS_1_0_6RC5:1.2.12.1
	TIGRIS_1_0_6RC4:1.2.12.1
	TIGRIS_1_0_6RC3:1.2.12.1
	TIGRIS_1_0_6RC2:1.2.12.1
	TIGRIS_1_0_6RC1:1.2.12.1
	TIGRIS_1_0_5:1.2.12.1
	TIGRIS_1_0_5RC6:1.2.12.1
	TIGRIS_1_0_5RC5:1.2.12.1
	TIGRIS_1_0_5RC4:1.2.12.1
	TIGRIS_1_0_5RC3:1.2.12.1
	TIGRIS_1_0_5RC2:1.2.12.1
	TIGRIS_1_0_5RC1:1.2.12.1
	TIGRIS_1_0_4:1.2
	TIGRIS_1_0_3:1.2
	TIGRIS_1_0_2:1.2
	TIGRIS_1_0_1:1.2
	TIGRIS_1_0:1.2.0.12
	TIGRIS_1_0_0:1.2
	TIGRIS_1_0_0_RC1:1.2.0.8
	dlr:1.1.1
	TIGRIS_0_9_2_4:1.2
	TIGRIS_0_9_2_3:1.2
	HELM_PEER_PORT_BRANCH:1.1.1.1
	TURBINE_PEER:1.2
	TIGRIS_0_9_2_1:1.2
	TIGRIS_0_9_2:1.2.0.6
	TIGRIS_0_9_0:1.2.0.4
	TIGRIS_0_8_4:1.2.0.2;
locks; strict;
comment	@# @;


1.3
date	2001.05.11.05.43.22;	author stack;	state Exp;
branches;
next	1.2;

1.2
date	2000.11.30.21.49.17;	author ms;	state Exp;
branches
	1.2.12.1;
next	1.1;

1.1
date	2000.11.22.02.24.15;	author ms;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2001.02.21.00.28.09;	author dlr;	state Exp;
branches;
next	;

1.2.12.1
date	2001.05.12.03.53.52;	author stack;	state Exp;
branches;
next	;


desc
@@


1.3
log
@Add helm weekly cron tasks.
@
text
@######################################################################
# -*- Makefile -*- config file developed for a Unix system.
# 

# Top level directory for source distribution.
MODULE=helm
MODULE_DOMAIN=org/tigris/helm
# The cron directory for this project.
CRON_DIR=$(SANDBOX)/$(MODULE)/cron

# Installation locations.
SITE_ROOT=$(SANDBOX)/site
INSTALL_DIR=$(SITE_ROOT)/cron/$(MODULE_DOMAIN)
SYSTEM_CRON_BASE=/etc/cron

# The timing periods used.
CRON_PERIODS=daily hourly 5mins weekly
@


1.2
log
@Added directory 5mins with the ensuing cron inside it, moved functionality out of the Makefile and into a standalone script install_system_crons which reads data in eyebrowse.crontab to add to /etc/crontab
@
text
@d17 1
a17 1
CRON_PERIODS=daily hourly 5mins
@


1.2.12.1
log
@If IN_PRODUCTION in SANDBOX/scripts/env.sh is 'true':

1.) On a daily interval, all apache access and error logs are
automatically rotated-off and set beside the new current log w/ a
seconds-since-1970-blah suffix (e.g.  access_log.0989539200).  There
is no need of an apache restart.

2.) On a weekly interval, all logs under SANDBOX/log/debug are set to
empty.

If IN_PRODUCTION is 'false': Logs operate as before w/ each restart moving
all of the SANDBOX/log directory to SANDBOX/log_archive/CURRENT_DATE.

Reviewed by: Josh Lucas
@
text
@d17 1
a17 1
CRON_PERIODS=daily hourly 5mins weekly
@


1.1
log
@System to run crons from $SANDBOX/site/cron
@
text
@d17 1
a17 1
CRON_PERIODS=daily hourly
@


1.1.1.1
log
@Replacing the HEAD with the HELM_PEER_PORT_BRANCH.
@
text
@d17 1
a17 1
CRON_PERIODS=daily hourly 5mins
@


